Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED]Problem installing WINE
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gamers & Players
View previous topic :: View next topic  
Author Message
Rafix0111
n00b
n00b


Joined: 11 Aug 2019
Posts: 13

PostPosted: Sun Aug 11, 2019 4:38 pm    Post subject: [SOLVED]Problem installing WINE Reply with quote

When trying to install wine emerge --ask virtual / wine this shows:
Code:
These are the packages that would be merged, in order:

Calculating dependencies... done!


[ebuild N ] virtual/wine-0-r5::gentoo USE="(-d3d9) (-staging)" ABI_X86="32 64" 0 KiB
[nomerge ] virtual/wine-0-r5::gentoo USE="(-d3d9) (-staging)" ABI_X86="32 64"
[ebuild N ] app-emulation/wine-vanilla-4.0.1:4.0.1::gentoo USE="X alsa fontconfig gecko jpeg lcms mono ncurses nls opengl perl png realtime run-exes ssl threads truetype udev udisks xcomposite xml -capi -cups -custom-cflags -dos -gphoto2 -gsm -gssapi -gstreamer -kerberos -ldap -mp3 -netapi -odbc -openal -opencl -osmesa -oss -pcap -prelink -pulseaudio -samba -scanner -sdl (-selinux) -test -v4l -vkd3d -vulkan -xinerama" ABI_X86="32 64 (-x32)" 21 216 KiB
[ebuild U ~] media-libs/harfbuzz-2.5.3:0/0.9.18::gentoo [2.3.1:0/0.9.18::gentoo] USE="cairo glib graphite icu introspection truetype -debug -static-libs -test" ABI_X86="32* (64) (-x32)" 5 553 KiB
[ebuild U ~] media-libs/freetype-2.10.1:2::gentoo [2.9.1-r3:2::gentoo] USE="X adobe-cff bzip2 cleartype_hinting harfbuzz -bindist -debug -doc -fontforge -infinality -png -static-libs -utils" ABI_X86="32* (64) (-x32)" 2 324 KiB
[nomerge ] gnome-base/gnome-3.30.2:2.0::gentoo USE="bluetooth classic extras -accessibility -cups"
[nomerge ] gnome-base/gnome-shell-3.30.2-r2::gentoo USE="bluetooth browser-extension ibus networkmanager nsplugin systemd (-elogind) -gtk-doc -telepathy -test" PYTHON_SINGLE_TARGET="python3_6 -python3_5 (-python3_7)" PYTHON_TARGETS="python3_6 -python3_5 (-python3_7)"
[nomerge ] gnome-base/gnome-control-center-3.30.3-r1:2::gentoo USE="bluetooth cups gnome-online-accounts ibus networkmanager systemd -debug (-elogind) -flickr -kerberos -v4l -wayland" INPUT_DEVICES="-wacom"
[ebuild U ~] media-libs/fontconfig-2.13.1-r2:1.0::gentoo [2.13.0-r4:1.0::gentoo] USE="-doc -static-libs" ABI_X86="32* (64) (-x32)" 1 684 KiB

Total: 5 packages (3 upgrades, 2 new), Size of downloads: 30 775 KiB

* Error: circular dependencies:

(media-libs/harfbuzz-2.5.3:0/0.9.18::gentoo, ebuild scheduled for merge) depends on
(media-libs/freetype-2.10.1:2/2::gentoo, ebuild scheduled for merge) (buildtime_slot_op)
(media-libs/harfbuzz-2.5.3:0/0.9.18::gentoo, ebuild scheduled for merge) (buildtime)

* Note that circular dependencies can often be avoided by temporarily
* disabling USE flags that trigger optional dependencies.

I have no idea how to fix it. Can you help?

emerge --info
Code:
Portage 2.3.69 (python 3.6.5-final-0, default/linux/amd64/17.1/systemd, gcc-8.3.0, glibc-2.29-r2, 4.19.57-gentoo x86_64)
=================================================================
System uname: Linux-4.19.57-gentoo-x86_64-AMD_Athlon-tm-_II_X2_250_Processor-with-gentoo-2.6
KiB Mem: 2037584 total, 130044 free
KiB Swap: 4194300 total, 3864060 free
Timestamp of repository gentoo: Sun, 11 Aug 2019 00:45:01 +0000
Head commit of repository gentoo: d5f4b4508cef4389a04b009938addd62d50cfd29
Timestamp of repository steam-overlay: Thu, 18 Jul 2019 16:22:33 +0000
Head commit of repository steam-overlay: d127dd045ee604a89cc1bef65e4efafa0a545429

sh bash 4.4_p23-r1
ld GNU ld (Gentoo 2.32 p2) 2.32.0
app-shells/bash: 4.4_p23-r1::gentoo
dev-java/java-config: 2.2.0-r4::gentoo
dev-lang/perl: 5.28.2-r1::gentoo
dev-lang/python: 2.7.15::gentoo, 3.6.5::gentoo
dev-util/cmake: 3.14.6::gentoo
sys-apps/baselayout: 2.6-r1::gentoo
sys-apps/openrc: 0.41.2::gentoo
sys-apps/sandbox: 2.13::gentoo
sys-devel/autoconf: 2.13-r1::gentoo, 2.69-r4::gentoo
sys-devel/automake: 1.16.1-r1::gentoo
sys-devel/binutils: 2.32-r1::gentoo
sys-devel/gcc: 8.3.0-r1::gentoo
sys-devel/gcc-config: 2.0::gentoo
sys-devel/libtool: 2.4.6-r3::gentoo
sys-devel/make: 4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.19::gentoo (virtual/os-headers)
sys-libs/glibc: 2.29-r2::gentoo
Repositories:

gentoo
location: /var/db/repos/gentoo
sync-type: rsync
sync-uri: rsync://rsync.gentoo.org/gentoo-portage
priority: -1000
sync-rsync-verify-jobs: 1
sync-rsync-verify-metamanifest: yes
sync-rsync-extra-opts:
sync-rsync-verify-max-age: 24

steam-overlay
location: /var/db/repos/steam-overlay
sync-type: git
sync-uri: https://github.com/gentoo-mirror/steam-overlay.git
masters: gentoo

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=native"
DISTDIR="/var/cache/distfiles"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe -march=native"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe -march=native"
GENTOO_MIRRORS="rsync://ftp.vectranet.pl/gentoo/ http://ftp.vectranet.pl/gentoo/ ftp://ftp.vectranet.pl/gentoo/ https://www.mirrorservice.org/sites/distfiles.gentoo.org/ ftp://ftp.mirrorservice.org/sites/distfiles.gentoo.org/ rsync://rsync.mirrorservice.org/distfiles.gentoo.org/ http://gentoo.mirrors.easynews.com/linux/gentoo/ http://www.gtlib.gatech.edu/pub/gentoo rsync://rsync.gtlib.gatech.edu/gentoo"
LANG="pl_PL.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j2"
PKGDIR="/var/cache/binpkgs"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X acl alsa amd64 berkdb bzip2 cli crypt cxx dri fortran gdbm gentoo-vm gnome gtk harfbuzz iconv ipv6 java libtirpc multilib ncurses nls nptl nsplugin opengl openmp pam pcre readline seccomp split-usr ssl systemd tcpd udev unicode user-session xattr zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput keyboard mouse" KERNEL="linux" L10N="pl" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" NETBEANS_MODULES="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" RUBY_TARGETS="ruby24" USERLAND="GNU" VIDEO_CARDS="radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset: CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


[Moderator edit: added [code] tags to preserve output layout. -Hu]


Last edited by Rafix0111 on Sun Aug 11, 2019 8:03 pm; edited 1 time in total
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 22320
Location: here

PostPosted: Sun Aug 11, 2019 5:05 pm    Post subject: Reply with quote

Try to temporary disable truetype use flag from media-libs/harfbuzz package or disable harfbuzz use flag from media-libs/freetype package
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
Rafix0111
n00b
n00b


Joined: 11 Aug 2019
Posts: 13

PostPosted: Sun Aug 11, 2019 5:52 pm    Post subject: Reply with quote

I received such a thing
Code:
These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] virtual/libiconv-0-r2  ABI_X86="32*"
[ebuild  N     ] app-emulation/wine-gecko-2.47-r1  ABI_X86="32 (64)"
[ebuild  N     ] app-emulation/wine-mono-4.7.5
[ebuild   R    ] media-libs/lcms-2.9  ABI_X86="32*"
[ebuild   R    ] dev-libs/gmp-6.1.2  ABI_X86="32*"
[ebuild   R    ] dev-libs/libunistring-0.9.10  ABI_X86="32*"
[ebuild     U ~] media-libs/freetype-2.10.1 [2.9.1-r3] USE="-harfbuzz*" ABI_X86="32*"
[ebuild   R    ] media-libs/libpng-1.6.37  ABI_X86="32*"
[ebuild   R    ] sys-libs/cracklib-2.9.6-r2  ABI_X86="32*"
[ebuild  N     ] dev-perl/XML-NamespaceSupport-1.120.0  USE="-test"
[ebuild  N     ] dev-perl/XML-SAX-Base-1.90.0  USE="-test"
[ebuild   R    ] dev-libs/libxml2-2.9.9-r1  ABI_X86="32*"
[ebuild   R    ] x11-libs/libXi-1.7.10  ABI_X86="32*"
[ebuild   R    ] x11-libs/libXcomposite-0.4.5  ABI_X86="32*"
[ebuild     U ~] media-libs/alsa-lib-1.1.9 [1.1.8] ABI_X86="32*"
[ebuild   R    ] x11-libs/libXcursor-1.2.0  ABI_X86="32*"
[ebuild   R    ] dev-libs/nettle-3.4.1  ABI_X86="32*"
[ebuild  N     ] dev-perl/XML-SAX-1.0.0
[ebuild  N     ] dev-perl/XML-SAX-Expat-0.510.0  USE="-test"
[ebuild  N     ] dev-perl/XML-Simple-2.250.0  USE="-test"
[ebuild  N     ] app-emulation/wine-desktop-common-20150204-r1
[ebuild  N     ] app-eselect/eselect-wine-1.2.2
[ebuild     U ~] media-libs/glu-9.0.1 [9.0.0-r1] ABI_X86="32*"
[ebuild   R    ] virtual/glu-9.0-r2  ABI_X86="32*"
[ebuild   R    ] virtual/jpeg-0-r3  ABI_X86="32*"
[ebuild   R    ] sys-devel/gettext-0.19.8.1  ABI_X86="32*"
[ebuild   R    ] sys-libs/db-5.3.28-r2  ABI_X86="32*"
[ebuild   R    ] sys-apps/attr-2.4.47-r2  ABI_X86="32*"
[ebuild   R    ] dev-libs/libgpg-error-1.36  ABI_X86="32*"
[ebuild   R    ] sys-devel/flex-2.6.4-r1  ABI_X86="32*"
[ebuild   R    ] dev-libs/libgcrypt-1.8.3  ABI_X86="32*"
[ebuild   R    ] dev-libs/libtasn1-4.13  ABI_X86="32*"
[ebuild   R    ] net-dns/libidn2-2.1.1a-r1  ABI_X86="32*"
[ebuild   R    ] dev-libs/libxslt-1.1.33-r1  ABI_X86="32*"
[ebuild   R    ] net-libs/gnutls-3.6.7  ABI_X86="32*"
[ebuild   R    ] app-arch/lz4-1.8.3  ABI_X86="32*"
[ebuild     U ~] media-libs/fontconfig-2.13.1-r2 [2.13.0-r4] ABI_X86="32*"
[ebuild   R    ] sys-libs/pam-1.3.0-r2  ABI_X86="32*"
[ebuild   R    ] virtual/pam-0-r1  ABI_X86="32*"
[ebuild   R    ] sys-libs/libcap-2.26-r2  ABI_X86="32*"
[ebuild   R    ] sys-apps/systemd-242-r6  ABI_X86="32*"
[ebuild   R    ] sys-apps/dbus-1.12.16  ABI_X86="32*"
[ebuild   R    ] virtual/libudev-232  ABI_X86="32*"
[ebuild  N     ] app-emulation/wine-vanilla-4.0.1  USE="X alsa fontconfig gecko jpeg lcms mono ncurses nls opengl perl png realtime run-exes ssl threads truetype udev udisks xcomposite xml -capi -cups -custom-cflags -dos -gphoto2 -gsm -gssapi -gstreamer -kerberos -ldap -mp3 -netapi -odbc -openal -opencl -osmesa -oss -pcap -prelink -pulseaudio -samba -scanner -sdl (-selinux) -test -v4l -vkd3d -vulkan -xinerama" ABI_X86="32 64 (-x32)"
[ebuild  N     ] virtual/wine-0-r5  USE="(-d3d9) (-staging)" ABI_X86="32 64"

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

media-libs/freetype:2

  (media-libs/freetype-2.10.1:2/2::gentoo, ebuild scheduled for merge) pulled in by
    >=media-libs/freetype-2.0.0[abi_x86_32(-)?,abi_x86_64(-)?,
      abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,
      abi_mips_o32(-)?,abi_riscv_lp64d(-)?,abi_riscv_lp64(-)?,
      abi_s390_32(-)?,abi_s390_64(-)?] required by (app-emulation/wine-vanilla-4.0.1:4.0.1/4.0.1::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                       
    >=media-libs/freetype-2.9[abi_x86_32(-)?,abi_x86_64(-)?,
      abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,
      abi_mips_o32(-)?,abi_riscv_lp64d(-)?,abi_riscv_lp64(-)?,
      abi_s390_32(-)?,abi_s390_64(-)?] required by (media-libs/fontconfig-2.13.1-r2:1.0/1.0::gentoo, ebuild scheduled for merge)
                                                                                                                                                                                                                                                                                                                 

  (media-libs/freetype-2.9.1-r3:2/2::gentoo, installed) pulled in by
    media-libs/freetype:2[harfbuzz] required by (media-video/vlc-3.0.7.1:0/5-9::gentoo, installed)
                          ^^^^^^^^                                                                                                   


It might be possible to solve this slot collision
by applying all of the following changes:
   - media-libs/freetype-2.10.1 (Change USE: +harfbuzz)

Broke long lines to make the forum layout behave.Chiitoo
Back to top
View user's profile Send private message
Ant P.
Watchman
Watchman


Joined: 18 Apr 2009
Posts: 5917

PostPosted: Sun Aug 11, 2019 6:01 pm    Post subject: Reply with quote

You're trying to do too many things at once. Fix the circular dependency first.
Code:
USE=-harfbuzz emerge -1 freetype
emerge -1 freetype harfbuzz
emerge -a virtual/wine
Back to top
View user's profile Send private message
Rafix0111
n00b
n00b


Joined: 11 Aug 2019
Posts: 13

PostPosted: Sun Aug 11, 2019 6:08 pm    Post subject: Reply with quote

When I try USE=-harfbuzz emerge -1 freetype
Code:
Calculating dependencies... done!
[ebuild     U ~] media-libs/freetype-2.10.1 [2.9.1-r3] USE="-harfbuzz*" ABI_X86="32*"

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

media-libs/freetype:2

  (media-libs/freetype-2.10.1:2/2::gentoo, ebuild scheduled for merge) pulled in by
    media-libs/freetype (Argument)

  (media-libs/freetype-2.9.1-r3:2/2::gentoo, installed) pulled in by
    media-libs/freetype:2[harfbuzz] required by (media-video/vlc-3.0.7.1:0/5-9::gentoo, installed)
                          ^^^^^^^^                                                                                                   


It might be possible to solve this slot collision
by applying all of the following changes:
   - media-libs/freetype-2.10.1 (Change USE: +harfbuzz)
Back to top
View user's profile Send private message
Rafix0111
n00b
n00b


Joined: 11 Aug 2019
Posts: 13

PostPosted: Sun Aug 11, 2019 6:20 pm    Post subject: Reply with quote

When I try USE=-truetype emerge -1 harfbuzz
Code:
Calculating dependencies... done!
[ebuild   R    ] virtual/libiconv-0-r2  ABI_X86="32*"
[ebuild   R    ] dev-libs/libpcre-8.42  ABI_X86="32*"
[ebuild   R    ] sys-apps/attr-2.4.47-r2  ABI_X86="32*"
[ebuild   R    ] dev-libs/icu-64.2  ABI_X86="32*"
[ebuild   R    ] media-gfx/graphite2-1.3.13  ABI_X86="32*"
[ebuild   R    ] dev-libs/glib-2.58.3-r1  ABI_X86="32*"
[ebuild     U ~] media-libs/harfbuzz-2.5.3 [2.3.1] USE="-truetype*" ABI_X86="32*"

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

media-libs/harfbuzz:0

  (media-libs/harfbuzz-2.5.3:0/0.9.18::gentoo, ebuild scheduled for merge) pulled in by
    media-libs/harfbuzz (Argument)

  (media-libs/harfbuzz-2.3.1:0/0.9.18::gentoo, installed) pulled in by
    >=media-libs/harfbuzz-1.4.2:0/0.9.18=[glib(+),truetype(+),abi_x86_64(-)] required by (x11-libs/pango-1.42.4-r1:0/0::gentoo, installed)
                                                                                                                                                           
    >=media-libs/harfbuzz-1.3.0[truetype,abi_x86_32(-)?,abi_x86_64(-)?,
      abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,
      abi_riscv_lp64d(-)?,abi_riscv_lp64(-)?,abi_s390_32(-)?,abi_s390_64(-)?] required by (media-libs/freetype-2.9.1-r3:2/2::gentoo, installed)
                                ^^^^^^^^                                                                                                                                                                                                                                                                               
    >=media-libs/harfbuzz-1.4.2:=[glib(+),truetype(+),abi_x86_32(-)?,
      abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,
      abi_mips_o32(-)?,abi_riscv_lp64d(-)?,abi_riscv_lp64(-)?,
      abi_s390_32(-)?,abi_s390_64(-)?] required by (x11-libs/pango-1.42.4-r1:0/0::gentoo, installed)
                                                                                                                                                                                                                                                                                                             


It might be possible to solve this slot collision
by applying all of the following changes:
   - media-libs/harfbuzz-2.5.3 (Change USE: +truetype)

Broke long lines to make the forum layout behave.Chiitoo
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 22320
Location: here

PostPosted: Sun Aug 11, 2019 6:54 pm    Post subject: Reply with quote

Rafix0111 wrote:
When I try USE=-harfbuzz emerge -1 freetype
Code:
Calculating dependencies... done!
[ebuild     U ~] media-libs/freetype-2.10.1 [2.9.1-r3] USE="-harfbuzz*" ABI_X86="32*"

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

media-libs/freetype:2

  (media-libs/freetype-2.10.1:2/2::gentoo, ebuild scheduled for merge) pulled in by
    media-libs/freetype (Argument)

  (media-libs/freetype-2.9.1-r3:2/2::gentoo, installed) pulled in by
    media-libs/freetype:2[harfbuzz] required by (media-video/vlc-3.0.7.1:0/5-9::gentoo, installed)
                          ^^^^^^^^                                                                                                   


It might be possible to solve this slot collision
by applying all of the following changes:
   - media-libs/freetype-2.10.1 (Change USE: +harfbuzz)

You can remove bidi use flag to vlc that require media-libs/freetype:2[harfbuzz]
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
Ant P.
Watchman
Watchman


Joined: 18 Apr 2009
Posts: 5917

PostPosted: Sun Aug 11, 2019 6:56 pm    Post subject: Reply with quote

Try: USE=-truetype emerge -1 harfbuzz freetype pango cairo

Using --with-bdeps=y might help also.
Back to top
View user's profile Send private message
Ant P.
Watchman
Watchman


Joined: 18 Apr 2009
Posts: 5917

PostPosted: Sun Aug 11, 2019 6:57 pm    Post subject: Reply with quote

fedeliallalinea wrote:
You can remove bidi use flag to vlc that require media-libs/freetype:2[harfbuzz]

That'd work too, but VLC is huge and recompiling it is more of a last-resort answer here.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 22320
Location: here

PostPosted: Sun Aug 11, 2019 7:02 pm    Post subject: Reply with quote

Ant P. wrote:
fedeliallalinea wrote:
You can remove bidi use flag to vlc that require media-libs/freetype:2[harfbuzz]

That'd work too, but VLC is huge and recompiling it is more of a last-resort answer here.

You right, and, just in case, use --nodeps? But I'm not sure if it a good idea
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
Rafix0111
n00b
n00b


Joined: 11 Aug 2019
Posts: 13

PostPosted: Sun Aug 11, 2019 7:59 pm    Post subject: Reply with quote

I remove USE bidi from vlc and run emerge --newuse vlc, then
USE=-harfbuzz emerge -1 freetype
emerge -1 freetype harfbuzz
emerge -a virtual/wine
and it helped
Thanks, problem solved :D
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gamers & Players All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum